package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.ReturnInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ReturnInfoDAO {
	int insert(ReturnInfo entity);
	int update(ReturnInfo entity);
	int exist(String id);
	ReturnInfo get(String id);
	int delete(String id);
	List<ReturnInfo> list();
	List<ReturnInfo> search(Map<String,Object> searchParams,List<Sort> sortList);

    ReturnInfo findByOpenId(String openId);

    ReturnInfo findByIdCardOrPhone(String idCard, String phone);
}